package main;

import ea.Knoten;

public class Map extends Knoten {

	private Tile[][] map; 
	
	public Map() {
		map = new Tile[15][11];
		for (int x = 0; x < map.length; x++) {
			for (int y = 0; y < map[0].length; y++) {
				int id = 0;
				if (y == 1) {
					id = 2;
				}
				if (y == 0 || y == map[0].length - 1 || x == 0 || x == map.length - 1) {
					id = 1;
				}
				map[x][y] = new Tile(id);
				map[x][y].setX(x * Tile.getSize());
				map[x][y].setY(y * Tile.getSize());
				add(map[x][y]);
			}
		}
	}
}
